Bug 39306 - xaos core dumps quickly on zooming in
xaos core dumps quickly on zooming in
Product: Red Hat Powertools
Classification: Retired
Component: XaoS (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2001-05-07 04:32 EDT by Joachim Frieben
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-07 04:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2001-05-07 04:32:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
After running "xaos" from a shell windows and zooming into the fractal 
structure by holding the left mouse button down, "xaos" core dumps 
inadvertently and leaves the unprepared user with the following content of 
its shell window:

<1 localhost.localdomain-user /home/user> xaos
xaos: zoomd.c:362: fill2_32: Assertion `n > 0' failed.
Abort (core dumped)

How reproducible:

Steps to Reproduce:
1. Start "xaos" from the shell.
2. Zoom in by holding the left mouse button down.

Actual Results:  "xaos" crashes after less than 3 sec. returning the above 

Expected Results:  Zoom smoothly into the fractal structure.

Additional info:

Red Hat Linux 7.1 with all available updates and XFS 1.0 on a Pentium Pro 
200MHz/512kB, 256MB of main memory and an 8MB Matrox Millennium II PCI 
card. The problem occurs for both of the XFree86* and the XF86_SVGA* X 
I am pretty sure that this problem arose with the release of Red Hat Linux 
7.0, whereas it was absent for Red Hat Linux 6.2. Since the current 
version of "xaos" hasn't changed for quite a while this problem -may- be 
related within some internal problem of Red Hat Linux 7.x.
Comment 1 Karsten Hopp 2001-05-09 17:27:12 EDT
I couldn't reproduce this, but built a new release of XaoS anyway.
It should be available in the rawhide directorys soon.
Please reopen the bugreport if the new XaoS package still doesn't work.

Note You need to log in before you can comment on or make changes to this bug.